# -*- coding: iso_8859_1 -*-

from aspylib import astro

#------------------------------------------------------------------------------------
#	input parameters
#------------------------------------------------------------------------------------

#--- geographical coordinates ---
lat, long = ["43:55:55", "05:43:00"]			#Observatoire de Haute-Provence, terrain proche maison Jean Perrin

#--- object celestial coordinates ---
alpha, delta = ["18:36:56.3364", "38:47:01.291"]		#vega
alpha, delta = ["19:50:46.9990", "08:52:05.959"]		#altair

#--- time is calculated from fits headers in following image list ---
Folder = u"C:\\images\\"
Imagelist = [Folder + "images-" + str(i+1) + ".fit" for i in range(30)]

#------------------------------------------------------------------------------------
#	calculations
#------------------------------------------------------------------------------------

alpha_n = astro.hours_to_decdegrees(alpha)
delta_n = astro.degrees_to_decdegrees(delta)
lat_n = astro.degrees_to_decdegrees(lat)
long_n = astro.degrees_to_decdegrees(long)

dateobs = astro.julian_day(astro.get_headervalues(Imagelist, 'DATE-OBS'))

print "-----------------------------------------------"
print "Calculated Julian dates + air masses"
print "-----------------------------------------------"
for JJ in dateobs:
	print JJ, astro.air_mass(alpha_n, delta_n, lat_n, long_n, JJ)

raw_input("Press Enter to close")
