# -*- coding: iso_8859_1 -*-

from aspylib import astro
import numpy as np
import scipy.fftpack as fft

#------------------------------------------------------------------------------------
#	input parameters
#------------------------------------------------------------------------------------

Folder = u"C:\\images\\"
Imagelist = [Folder + "images-calibrated-" + str(i+1) + ".fit" for i in range(5)]
Imagelist2 = [Folder + "images-filtered-" + str(i+1) + ".fit" for i in range(5)]

#------------------------------------------------------------------------------------
#	filtering the input images
#------------------------------------------------------------------------------------

#------ building filter ------
dimx = astro.get_headervalues([Imagelist[0]],'NAXIS2')[0]
dimy = astro.get_headervalues([Imagelist[0]],'NAXIS1')[0]
filter = np.zeros([dimx,dimy])
filter[1,1]=0.25
filter[1,0]=0.5
filter[1,-1]=0.25
filter[0,1]=0.5
filter[0,0]=1.
filter[0,-1]=0.5
filter[-1,1]=0.25
filter[-1,0]=0.5
filter[-1,-1]=0.25
filter = filter / np.sum(filter.flatten())
imfilter = fft.fft2(filter)

#------ loads data and headers ------
for i in range(len(Imagelist)):
	image1 = astro.get_imagedata([Imagelist[i]])
	im1 = fft.fft2(image1)
	image2 = np.abs(fft.ifft2(im1*np.ma.conjugate(imfilter)))

	#------ save modified image list under new name ------
	headerdict = astro.get_headers([Imagelist[i]], text_display=False)[0]
	headerdict.update({'OBJECT':['Filtered image','']})
	astro.save_imagelist(image2, [headerdict], [Imagelist2[i]])
	print
	print Imagelist2[i] + ' saved'
	
raw_input()