# -*- coding: iso_8859_1 -*-

import matplotlib
matplotlib.use('GTk')
import matplotlib.pyplot as plt
import matplotlib.cm as cm

from aspylib import astro, photometry
import numpy as np
import time

#------------------------------------------------------------------------------------
#	This code makes an animated display of the 1st and 100th (or last) image in a serie
#	it can be used to see the asteroids moving
#------------------------------------------------------------------------------------

#--- calibrated images ---
Folder = u"C:\\images\\"
Imagelist = [Folder + "images-calibrated-" + str(i+1) + ".fit" for i in range(100)]

#------------------------------------------------------------------------------------
#	display 1st and 100th (or last) images
#------------------------------------------------------------------------------------

#------ conditioning data ------
im1 = astro.get_imagedata([Imagelist[0]])
if len(Imagelist)<100:
	im2 = astro.get_imagedata([Imagelist[-1]])
else:
	im2 = astro.get_imagedata(Imagelist[99:100])

dmin, dmax = 100., 500.
min = np.ma.median(im1.flatten()) - dmin
max = np.ma.median(im1.flatten()) + dmax
data1 = (im1<min)*min + (im1>max)*max + (im1>=min)*(im1<=max)*im1

min = np.ma.median(im2.flatten()) - dmin
max = np.ma.median(im2.flatten()) + dmax
data2 = (im2<min)*min + (im2>max)*max + (im2>=min)*(im2<=max)*im2

data = [data1,data2, data1, data2, data1, data2]

#------ plotting ------
plt.ion()
plt.hold(False)
m = plt.imshow(data1, interpolation='nearest',cmap=cm.gray,origin='lower',vmin = min, vmax =max, aspect='equal', animated=True)
plt.draw()
time.sleep(0.5)

while True:
	m.set_data(data1)
	plt.draw()
	time.sleep(0.5)
	m.set_data(data2)
	plt.draw()
	time.sleep(0.5)

raw_input("ok")
