# -*- coding: iso_8859_1 -*-

from aspylib import cdr, astro
import numpy as np
import matplotlib.pyplot as plt

#------------------------------------------------------------------------------------
#	input parameters
#------------------------------------------------------------------------------------

#--- input files ---
Folder = u"C:\\Mesures\\"
Filelist = ["File_1.txt", \
			"File_2.txt", \
			"File_3.txt"]

Filelist = [Folder + x for x in Filelist]

#fit parameters
T0 = 2455800
periods = np.linspace(0.02, 0.12, 1000)		#possible periods, in days

#for time correction of variable star
alpha = astro.hours_to_decdegrees('03:09:39.67')
delta = astro.degrees_to_decdegrees('+24:29:26.9')

#------------------------------------------------------------------------------------
#	loading data
#------------------------------------------------------------------------------------

alldata = cdr.load_magdata(Filelist)

#------ time correction (choose asteroid or variable star) ------
#alldata = cdr.time_correction(alldata, 1, Folder+'dist.dat')			#time correction for asteroid
alldata = cdr.time_correction(alldata, 2, [alpha,delta])				#time correction for variable star

cdr.plot_magdata(alldata, 'Measurements')

#------------------------------------------------------------------------------------
#	searching period
#------------------------------------------------------------------------------------

error = []

for period in list(periods):
	error.append(cdr.fit_givenperiod(alldata, period, T0, nb_harmo = 6))

plt.figure()
plt.plot(periods, np.sqrt(error))
plt.grid()
plt.xlabel("Period in days")
plt.ylabel("Fit error")
plt.title("Search for rotation period")
plt.show()
