# -*- coding: iso_8859_1 -*-

from aspylib import astrometry, astro
import matplotlib.pyplot as plt

#------ retrieving information from Vizier ------
catalog = 'USNO-B1'
position = [56., 24.]		#[alpha, delta] in degrees
conesize = [600., 420.]		#[boxsize_alpha, boxsize_delta] in arcmin
constraint = 'B1mag<=11'

astrometry.send_query_vizier(catalog, position, conesize, constraint)
stars = astrometry.read_votable("vizier.xml")

#------ printing information --------------------
print
print len(stars)," stars downloaded"
print
print "catalog fields:"
print stars.dtype.names

#------ generating sky map ----------------------
plt.figure()
plt.scatter(stars['RAJ2000'],stars['DEJ2000'],s=4*(12-stars['B1mag']))
plt.grid()
plt.xlim([52,60])
plt.ylim([22,27])
ax = plt.gca() 
ax.set_xlim(ax.get_xlim()[::-1])
plt.show()
