# -*- coding: iso_8859_1 -*-
"""
	This module is part of AsPyLib version 1.3.1
    Copyright (C) 2012 Jerome Caron
	
    AsPyLib is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""
#------------------------------------------------------------------------------------------------------------
#		aspylib.astro = main module for FITS image processing
#------------------------------------------------------------------------------------------------------------

import aspylib.license

#--- all necessary modules --
#import time, warnings, os, datetime, sys, math
#from ctypes import *
#import win32con
#import aspylib.conf as conf
#import numpy as np
#import matplotlib.pyplot as plt
#from matplotlib import cm
#import pyfits
#from scipy.optimize import leastsq
#import scipy.fftpack as fft

from load import get_imagedata, get_someimagedata, get_headers, get_headervalues, check_extension
#def get_imagedata(Imagelist, text_display=True):
#def get_someimagedata(Imagelist, area, text_display=True):
#def get_headers(Imagelist, text_display=True):
#def get_headervalues(Imagelist, Header):
#def check_extension(file_name):

from displaying import display, select
#def display(data, title=''):
#def select(fig, ax, nb, color='none', marker='o', size=50):

from headers import create_headers, julian_day
#def create_headers(Config, Imagelist):
#def julian_day(dateobs):

from save import save_imagelist
#def save_imagelist(images, headers, Imagelist):

#--------------------------------------------------------------------------
from combine import add_sigma_clipping, add_mean, add_median, add_median2
#def add_sigma_clipping(images, sigma_coef, iterations):
#def add_mean(images):
#def add_median(images, cutsize=[1000,1000]):
#def add_median2(images):

from transform import translate_Bspline, rotate_Bspline, scale_Bspline, translate_bilinear, rotate_bilinear, scale_bilinear
#def translate_Bspline(images, shift, spline_degree):
#def rotate_Bspline(images, xy_axis, angle, spline_degree):
#def scale_Bspline(images, xy_center, scaling, spline_degree):
#def translate_bilinear(images, shift):
#def rotate_bilinear(images, xy_axis, angle):
#def scale_bilinear(images, xy_center, scaling):

from transform2 import mirror_horiz, mirror_vert, rot_90, rot_180, rot_270
#def mirror_horiz(images):
#def mirror_vert(images):
#def rot_90(images):
#def rot_180(images):
#def rot_270(images):

#--------------------------------------------------------------------------
from process import fit_gauss_circular, fit_gauss_elliptical, fit_moffat_circular, fit_moffat_elliptical
#def fit_gauss_circular(xy, data):
#def fit_gauss_elliptical(xy, data):
#def fit_moffat_circular(xy, data):
#def fit_moffat_elliptical(xy, data):

from process2 import detect_peaks, detect_stars, find_stars
#def detect_peaks(image):
#def detect_stars(image, threshold, saturation = [False,0], margin = 5):
#def find_stars(image, nb_stars, excluded = [], included = [], saturation = [False,0], margin = 5, text_display = True):

from process3 import fit_stars, centroid_stars, max_stars, remove_duplicates
#def fit_stars(image, stars, detection_area, maxshift = [False,5], error_messages = 1, full_info=False):
#def centroid_stars(image, stars, detection_area, saturation = [False,0], maxshift = 2, error_messages = 1):
#def max_stars(image, stars, detection_area, saturation = [False,0], error_messages = 1):
#def remove_duplicates(stars):

from process4 import find_stars_accurate, find_shift_stars_matching, find_shift_crosscorrelation, find_shift_by_triangles
#def find_stars_accurate(image, nb_stars, detection_area, excluded = [], included = [], saturation = [False,0], text_display = True):
#def find_shift_stars_matching(stars1, stars2, text_display=False):
#def find_shift_crosscorrelation(image1, image2):
#def find_shift_by_triangles(stars1, stars2, text_display=False):

from stats import get_median, mean_psf
#def get_median(images):
#def mean_psf(image, detection_area, nb_stars, excluded=[], included=[]):

from calc import air_mass, hours_to_decdegrees, degrees_to_decdegrees, dates_to_juliandays, decdegrees_to_hours, decdegrees_to_degrees
#def air_mass(alpha, delta, lat, long, JJ):
#def hours_to_decdegrees(hours):
#def degrees_to_decdegrees(degrees):
#def dates_to_juliandays(dates):
#def decdegrees_to_hours(angle):
#def decdegrees_to_degrees(angle):

#--------------------------------------------------------------------------
from win32api import set_focus, maximize_window, scroll_up_window, get_window_size, get_window_position, move_window, resize_window, get_screen_size, close_window
#def set_focus(title):
#def maximize_window(title):
#def scroll_up_window(title):
#def close_window(title):
#def get_window_size(title):
#def get_window_position(title):
#def move_window(title, xy):
#def resize_window(title, xy):
#def get_screen_size():

del load, displaying, headers, save, combine, transform, transform2, process, process2, process3, process4, stats, calc, win32api
