# -*- coding: iso_8859_1 -*-

import os, datetime
from aspylib import astro
import numpy as np

def write_magnitudes(Imagelist, outputname, names, xy, dateobs, sizes, mag):
	
	if os.path.exists(outputname):
		os.remove(outputname)

	f = open(outputname, 'w')

	#--- file header ---
	f.write('date = '+str((datetime.datetime.now()).strftime("%Y-%m-%d %H:%M:%S"))+'\n')
	f.write("Working directory:\n"+(os.path.split(Imagelist[0])[0]).encode('iso_8859_1')+"\n\n")

	f.write(str(len(Imagelist))+' images processed\n')
	f.write('first image = '+Imagelist[0].split('\\')[-1]+'\n\n')
	
	f.write('datation at start of exposure\n')
	h1 = astro.get_headervalues([Imagelist[0]],'EXPOSURE')[0]
	h2 = astro.get_headervalues([Imagelist[0]],'EXPTIME')[0]
	if h1!='':
		f.write('exposure time (sec):\t'+str(int(np.round(h1)))+'\n\n')
	elif h2!='':
		f.write('exposure time (sec):\t'+str(int(np.round(h2)))+'\n\n')

	#--- stars X,Y coordinates ---
	f.write('objects coordinates on first frame\n')
	f.write('object')
	for j in range(len(xy[0])):
		f.write('\t'+names[j])
	f.write('\n')
	f.write('X position')
	for j in range(len(xy[0])):
		f.write('\t'+"%.4f"%xy[0][j][0])
	f.write('\n')
	f.write('Y position')
	for j in range(len(xy[0])):
		f.write('\t'+"%.4f"%xy[0][j][1])
	f.write('\n\n')

	#--- measures magnitudes ---
	for k in range(len(sizes)):
		f.write('magnitudes from apertures: '+str(sizes[k][0])+' - '+str(sizes[k][1])+' - '+str(sizes[k][2])+'\n')

		#magnitudes
		f.write('Julian day')
		for j in range(len(xy[0])):
			f.write('\t'+names[j])
		f.write('\n')
		for i in range(len(Imagelist)):
			f.write(('%.6f' % dateobs[i]))
			for j in range(len(xy[i])):
				f.write('\t'+'%.6f' % mag[i,j,k])
			f.write('\n')
		f.write('\n')

	f.close()
	#-------------------------------------